
== Changelog ==

= 2.7.6 2026-07-13 =
* [Feature] - Added an opt-in toggle to include timezone offset in exported order dates.
* [Compatibility] – Tested OK with WordPress 7.0.1
* [Compatibility] – Tested OK with WooCommerce 10.9.4

= 2.7.5 2026-06-22 =
* [Fix] - Preserved timezone offsets in order dates during CSV import and export.
* [Compatibility] – Tested OK with WooCommerce 10.8.1

= 2.7.4 2026-05-26 =
* [Fix] - Fixed import file upload failure on servers where WordPress filesystem detection fails.
* [Compatibility] - Tested OK with WordPress 7.0

= 2.7.3 2026-05-06 =
* [Compatibility] - Tested OK with WordPress 6.9.4
* [Compatibility] – Tested OK with WooCommerce 10.7.0
* [Improvement] – Performance enhancement.

= 2.7.2 2026-03-10 =
* [Compatibility] – Tested OK with WooCommerce 10.5.3
* [Improvement] - Replaced underscores in import/export file names with hyphens.
* [Improvement] – UI tweaks.

= 2.7.1 2026-2-16 =
* [Compatibility] - Tested OK with WordPress 6.9.1
* [Compatibility] – Tested OK with WooCommerce 10.5.1
* [Improvement] - Enhancements to the import mapping screen.
* [Fix] - Resolved an issue where the banner reappeared after dismissal on page reload.

= 2.7.0 2026-1-26 =
* [Compatibility] – Tested OK with WooCommerce 10.4.3
* [Update] - Updated translation template (POT file)

= 2.6.9 2025-12-05 =
* [Compatibility] - Tested OK with WordPress 6.9
* [Compatibility] – Tested OK with WooCommerce 10.3.6

= 2.6.8 2025-11-07 =
* [Fix] Vulnerability. Thanks to Legion Hunter for reporting the issue.

= 2.6.7 2025-11-06 =
* [Compatibility] – Tested OK with WooCommerce 10.3.4

= 2.6.6 2025-10-09 =
* [Fix] Invalid delimiter sanitization caused issues during import/export.

= 2.6.5 2025-10-07 =
* [Compatibility] – Tested OK with WooCommerce 10.2.2
* [Compatibility] – Tested OK with WordPress 6.8.3
* [Update] – Plugin Check Plugin fixes.

= 2.6.4 2025-08-18 =
* [Compatibility] - Tested OK with WordPress 6.8.2
* [Compatibility] - Tested OK with WooCommerce 10.1.0
* [Improvement] - Enhancements to the import mapping screen.
* [Fix] - Resolved issue with importing shipping tax during order import.

= 2.6.3 2025-07-16 =
* [Compatibility] - Tested OK with WordPress 6.8.2
* [Compatibility] - Tested OK with WooCommerce 10.0.2

= 2.6.2 2025-05-23 =
* [Compatibility] - Tested OK with WordPress 6.8
* [Compatibility] - Tested OK with WooCommerce 9.8.5
* [Fix] - Corrected shipping_items formatting in order export CSV to ensure backward compatibility.
* [Fix] - Load plugin textdomain on 'init' to meet WordPress 6.7+ localization requirements.

= 2.6.1 2025-03-19 =
* [Fix] - Vulnerable to Server-Side Request Forgery.
* [Fix] - Vulnerable to Arbitrary File Deletion.
* [Fix] - Vulnerable to PHP Object Injection.
* [Fix] - Vulnerable to Directory Traversal.

= 2.6.0 2025-02-28 =
* [Add] - Feature request functionality.
* [Add] - New header section.
* [Add] - Help button.
* [Add] - Setup guide, FAQ, and support contact link.
* [Add] - New review banner for feedback.
* [Compatibility] - Tested OK with WooCommerce 9.7.0
* [Compatibility] - Tested OK with WordPress 6.7.2
= 2.5.9 2024-12-16 =
* [Fix] - Blank CSV generated when exporting line items without Order ID.
* [Fix] - Coupon updates failed during import.
* [Add] - Support for WebToffee Gift Cards Pro wallet coupons.
* [Compatibility] - Tested OK with WooCommerce 9.4.3
* [Compatibility] - Tested OK with WordPress 6.7.1
= 2.5.8 2024-11-07 =
* [Compatibility] - Tested OK with WooCommerce 9.3.3
* [Compatibility] - Tested OK with WordPress 6.6.2
= 2.5.7 2024-10-11 =
* [Compatibility] - Tested OK with WooCommerce 9.3.3
* [Compatibility] - Tested OK with WordPress 6.6.2
= 2.5.6 2024-08-29 =
* [Compatibility] - Tested OK with WooCommerce 9.2.3
* [Compatibility] - Tested OK with WordPress 6.6.1
= 2.5.5 2024-07-11 =
* [Compatibility] - Tested OK with WooCommerce 9.0.2
* [Compatibility] - Tested OK with WordPress 6.5.5
= 2.5.4 2024-06-18 =
* [Fix] - Issue with exporting while HPOS is enabled.
= 2.5.3 2024-06-12 =
* [Fix] -  Improvement in Encoding Characters.
* [Compatibility] - Tested OK with WooCommerce 8.9.4
* [Compatibility] - Tested OK with WordPress 6.5.4
= 2.5.2 2024-05-08 =
* [Compatibility] - Tested OK with WooCommerce 8.8.3
* [Compatibility] - Tested OK with WordPress 6.5.3
= 2.5.1 2024-03-26 =
* [Add] - Import and export order attribution data.
* [Compatibility] - Tested OK with WordPress 6.5
= 2.5.0 2024-03-20 =
* [Fix] -  Vulnerable to PHP Object Injection.
* [Improvement] - Implemented a user interface update for the import/export screen, transitioning to a card-based layout for post type selection.
* [Compatibility] - Tested OK with WooCommerce 8.7.0
= 2.4.9 2024-02-28 =
* [Fix] - Enhanced Validation for Reading Log Files.
* [Compatibility] - Tested OK with WooCommerce 8.6.1
= 2.4.8 2024-02-08 =
* [Fix] - Invalid File type CSV.
* [Fix] - Unable to download downloadable products.
* [Compatibility] - Tested OK with WooCommerce 8.5.2
* [Compatibility] - Tested OK with WordPress 6.4.3
= 2.4.7 2024-01-16 =
* [Fix] - Invalid File type CSV.
* [Compatibility] - Tested OK with WooCommerce 8.5
= 2.4.6 2024-01-04 =
* [Fix] - Conflict with order item meta key named quantity and quantity.
* [Compatibility] - Tested OK with WooCommerce 8.4
* [Compatibility] - Tested OK with PHP 8.3
= 2.4.5 2023-12-28 =
* [Fix] - Invalid File type CSV in Windows OS/Firefox.
= 2.4.3 2023-12-08 =
* [Improvement] - File type validation on the 'upload_import_file' function.
* [Compatibility] - Tested OK with WooCommerce 8.3.1.
* [Compatibility] - Tested OK with WordPress 6.4.2.
= 2.4.2 2023-11-21 =
* [Compatibility] - Tested OK with WooCommerce 8.3.0.
= 2.4.1 2023-11-09 =
* [Fix] - Missing Tax item details of imported orders
* [Compatibility] - Tested OK with WooCommerce 8.2.2.
* [Compatibility] - Tested OK with WordPress 6.4.1.
= 2.4.0 2023-10-12 =
* [Compatibility] - Tested OK with WooCommerce 8.2.0.
= 2.3.9 2023-09-5 =
* [Compatibility] - Tested OK with WooCommerce 8.0.3.
= 2.3.8 2023-08-21 =
* [Fix] - HPOS compatibility.
* [Compatibility] - Tested OK with WordPress 6.3.
* [Compatibility] - Tested OK with WooCommerce 8.0.2.
* [Compatibility] - Tested OK With WP Overnight WooCommerce Order Proposal plugin.
= 2.3.7 2023-07-11 =
* [Fix] - Error when performing order export while HPOS order sync is in progress.
* [Compatibility] - Tested OK with WooCommerce 7.8.2.
= 2.3.6 2023-06-12 =
* [Fix] - Auto delete history option does not delete import logs.
* [Fix] - Incorrect max count value of line items.
= 2.3.5 2023-06-06 =
* Fix: Error while importing orders with refund data.
* Fix: Class OrderUtil not found.
* Fix: Importing custom CSV contains colon in header columns.
* Update: Tested OK with WooCommerce 7.7.2.
= 2.3.4 2023-05-15 =
* Fix: Missing order subtotal in bulk order export from orders listing page.
* Add: HPOS (High-Performance Order Storage) support added.
* Add: WooCommerce Stripe Payments fee, WebToffee WooCommerce Stripe payments fee export import.
* Update: Tested OK with WooCommerce 7.7.
= 2.3.3 2023-04-05 =
* Update: Tested OK with WooCommerce 7.5, WordPress 6.2 & PHP 8.2.
= 2.3.2 2023-03-21 =
* Update: Tested OK with WooCommerce 7.5.
= 2.3.1 2023-03-16 =
* Add: WooCommerce PayPal Payments fee export import.
* Update: Tested OK with WooCommerce 7.4.
* Update: Added order subtotal in export.
* Fix: Error when exporting orders without few line item details(line_total,line_tax).
= 2.3.0 2023-01-30 =
* WooCommerce 7.3 Tested OK.
= 2.3.0 2023-01-02 =
* WooCommerce 7.2 Tested OK.
= 2.2.9 2022-11-23 =
* WooCommerce 7.1 Tested OK.
* WordPress 6.1 Tested OK.
* Enhancement: Revised import mapping screen.
= 2.2.8 2022-10-20 =
* WooCommerce 7.0 Tested OK.
* Enhancement: Set Min and Max limit for import and export default batch count in General setting page.
= 2.2.7 2022-08-25 =
* WooCommerce 6.8 Tested OK.
* Bugfix: Duplicate export button on order and coupon listing pages when both Pro and Free versions are active.
= 2.2.6 2022-08-08 =
* WooCommerce 6.7 Tested OK.
* Bugfix: Orders search by billing/shipping address not working for imported orders.
* Bugfix: Delimiter reset when using the re-run option from the History section.
= 2.2.5 2022-07-04 =
* WooCommerce 6.6 Tested OK.
* Enhancement: Export to CSV option to Bulk Action drop-down menu in WC Orders listing page.
* Enhancement: Import progress screen improvements.
= 2.2.4 2022-05-26 =
* WordPress 6.0 Tested OK.
* WooCommerce 6.5 Tested OK.
* Enhancement: Option to choose delimiter when exporting.
= 2.2.3 2022-05-09 =
* WC 6.4 Tested OK.
* Enhancement: Bulk delete import logs.
= 2.2.2 2022-04-05 =
* Enhancement: Option to - Update stock status and sales count of products upon order import.
* Enhancement: Compatibility with WooCommerce shipment tracking and Advanced Shipment Tracking for WooCommerce.
= 2.2.1 =
* Bugfix: Download link in imported orders not working.
= 2.2.0 =
* Bugfix: Coupon import without status.
* Enhancement: Performance and UI improvements, text corrections.
= 2.1.9 =
* Bugfix: CSV mapping issues.
= 2.1.8 =
* WP 5.9 Tested OK
* Bugfix: WP custom plugins folder support.
= 2.1.7 =
* Enhancement: Auto-suggestion of coupon codes making coupon-based filtering easier.
= 2.1.6 =
* WC 6.1 Tested OK
* Help text updated.
= 2.1.5 =
* WC 6.0 Tested OK
= 2.1.4 =
* WC 5.9 Tested OK
* Compatibility with YITH WooCommerce Order Tracking
= 2.1.3 =
* Bug fix: Time zones issue with coupon expiry date when importing coupon.
= 2.1.2 =
* WC 5.8 Tested OK
* Feature: Export order line items to separate row or column.
* Bug fix: Time zones issue with coupon expiry date when importing coupon.
* Improvements: Added filter wt_import_csv_parser_keep_bom for escaping cyrillic letters.
* Fixes: Keeping previously selected options when e-running the export/import and  wp_max_upload_size(), mb_detect_encoding() related issues.
= 2.1.1 =
* WC 5.7 tested OK
= 2.1.0 =
* Fix:- WC compatibility with shipping phone number
= 2.0.9 =
* Added support for shipping phone number import export
* Added import export compatibility for WooCommerce PDF Invoices, Packing Slips, Delivery Notes & Shipping Labels plugin by WebToffee
* Added import export compatibility for Sequential Order Number for WooCommerce plugin by WebToffee
* WC 5.6 tested OK
= 2.0.8 =
* Fixed: Grant download permission issue on import
* Fixed: Trash orders getting exported with coupon filter applied
* WC 5.5 tested OK
* WP 5.8 tested OK
= 2.0.7 =
* Fixed: Paid date import
= 2.0.6 =
* Fixed: Mail sending with order status transition on import
= 2.0.5 =
* Fixed: Payment date update
* Fixed: Mail sending with on-hold status on import
= 2.0.4 =
* Text corrections and batch count defaulted to 10
= 2.0.3 =
* Menu access capability update
= 2.0.2 =
* WC latest tested OK and speed optimization.
= 2.0.1 =
* Tested OK with PHP 8.0
* Option to connect products using SKU when importing orders
= 2.0.0 =
* Improved UI for better user experience
* Export/Import options: via a pre-saved template or a quick(standard columns) export/import
* Option to export/import selective columns
* Option to reorder columns during export
* Import: Support for different types of delimiters
* Export/Import options: Batch option with configurable batch count
* History of all the Import/Export process
* Dedicated logs for debugging failures
= 1.7.6 =
* Tested OK with WC 5.2.2
= 1.7.5 =
* Tested OK with WC 5.2.0
= 1.7.4 =
* Tested OK with WC 5.1 and WP 5.7
= 1.7.3 =
* Tested OK with WC 4.9.2 
= 1.7.2 =
* Tested OK with WC 4.7.1 and WP 5.6
* New filter options added in order export.
= 1.7.1 =
* Tested OK with WC 4.7.0 and WP 5.5.3
= 1.7.0 =
* Tested OK with WC 4.6.0 
= 1.6.9 =
* [Improvement] Coupons expiry date import and export.
= 1.6.8 =
* Tested OK with WC 4.5.2
* [Improvement] import date format. 
= 1.6.7 =
* Bug Fix:- Access denied message when importing orders. 
* Tested OK with WC 4.5.0 and WP 5.5.1
= 1.6.6 =
* [Improvement] import date format. 
* Tested OK with WC 4.2.0 and WP 5.4.2
= 1.6.5 =
* [Improvement] line item tax import and export. 
* Tested OK with WC 4.1.0 and WP 5.4.1
= 1.6.4 =
* Bug Fix:- Problem with activating plugin in multisite.
= 1.6.3 =
* Tested OK with WP 5.4 
= 1.6.2 =
* Bug Fix:- Paid date and Completed date not importing.
* Tested OK with WC 4.0.0 
= 1.6.1 =
* [Improvement] Security
= 1.6.0 =
* Bug Fix:- Delete uploaded CSV temp file after import.
= 1.5.9 =
* Tested OK with WC 3.9.2 
= 1.5.8 =
* Bug Fix:-Coupon usage count.
* Tested OK with WC 3.9.1 
= 1.5.7 =
* Bug Fix:-Shipping tax not importing.
* Tested OK with WP 5.3.2
= 1.5.6 =
* provision to export for Super Admin users.
* Tested OK with WP 5.3 and WC 3.8.1
= 1.5.5 =
* Tested OK with WP 5.2.4 and WC 3.8
= 1.5.4 =
* WC 3.7.1 Tested OK.
= 1.5.3 =
* Bug fix:Error on fetching Refund amount.
= 1.5.2 =
* WP 5.2.3 Tested OK.
* Bug fix:'Cannot insert order without order status'.
* Bug fix:Order note comment_author not export and import.
= 1.5.1 =
* WC 3.7.0 Tested OK.
* update information hook added.
= 1.5.0 =
* Tweak: Status field made mandatory to import new orders.
* WC 3.6.5 Tested OK.
= 1.4.9 =
* Bug fix: Refund,Coupon,Fee Items export import.
= 1.4.8 =
* Tested OK with WP 5.2.2 and WC 3.6.4
* Bug fix: Orders getting imported to new IDs when import ID conflicts with existing post IDs.
* Issue with using the plugin in multi-site setup.
* Help tab modification.
= 1.4.7 =
* Tested OK with WP 5.2.1 and WC 3.6.3
* Bug Fix:- Order fields getting blank on updating when the fields are not present in CSV.
* Coupon import optimisation. 
= 1.4.6 =
* Tested OK with WP 5.2
* Bug Fix:- Issue with Coupon Expiry Date export and import.
= 1.4.5 =
* Tested OK with WC 3.6.2
* New Feature:- Filters added in order export(offset & limit).
* Order notes optimisation.
* Compatibility with PHP 7.3.5
= 1.4.4 =
* Tested OK with WC 3.6.1 and WP 5.1.1.
* Bug Fix and Improvements: Tax calculation.
= 1.4.3 =
* Bug fix: Tax calculation.
* WC 3.5.6 compatibility.
= 1.4.2 =
* Bug fix.
* WC 3.5.5 and WP5.1 compatibility.
= 1.4.1 =
* Tools Updated.
* Help tab added.
* Bug fix: Import of 'download permissions'.
* Bug fix: 2 blank meta columns on coupon export.
* All sample CSVs updated.
* Order date supports formats, 'd-m-y H:i' & 'Y-m-d H:i:s'.
* WC 3.5.4 compatibility.
* Language translation supported.
= 1.4.0 =
* Tested OK with WC 3.5.3 and WP 5.0.3.
* Content Update.
= 1.3.9 =
* Tested OK with WC 3.5.2 and WP 5.0.2
= 1.3.8 =
* WC 3.5.1 Tested OK.
* Bug fix and Improvements.
= 1.3.7 =
* WC 3.5.0 Tested OK.
= 1.3.6 =
* Content Update.
= 1.3.5 =
* WC 3.4.5 Tested OK.
* Review link added on footer.
= 1.3.4 =
* WC 3.4.4 Tested OK.
* Bug fix.
* Readme content change.
= 1.3.3 =
* Sample CSV file updated.
* WC 3.4.3 Tested OK.
* Bug fix.
= 1.3.2 =
* Bug fix.
= 1.3.1 =
* Fixed Order currency import issue.
* WP 4.9.5 and WC 3.3.5 Tested OK
= 1.3.0 =
* Fixed Coupon customer import issue.
* WP 4.9.5 and WC 3.3.4 Tested OK
= 1.2.9 =
* Improved UI
* Uninstall feedback
= 1.2.8 =
* WC 3.3.3 Tested OK
* Keeping Order ID in order import
= 1.2.7 =
* WP 4.9.4 and WC 3.3.1 Tested OK
= 1.2.6 =
* WP 4.9 and WC 3.2.4 Tested OK
= 1.2.5 =
* WP4.8 , WC3.1 and PHP7 Compatibility Tested OK
= 1.2.4 =
* Fixed some warnings.
= 1.2.3 =
* Minor Content Change.
= 1.2.2 =
* Minor Content Change.
= 1.2.1 =
* Bug fix: Fixed Coupon import warnings.
= 1.2.0 =
* Bug fix: Fixed WC Log issues.
= 1.1.9 =
* Minor Content Change.
= 1.1.8 =
* Compatibility with WC 3.0.3 ( fixed issue with order_date )
= 1.1.7 =
* Compatibility with WC 2.7
= 1.1.6 =
* Sample CSV file updated.
= 1.1.5 =
* Plugin Icon Change.
= 1.1.4 =
* Support Content Change. 
= 1.1.3 =
* Minor Content Change.
= 1.1.2 =
* Optimized order line item import.
= 1.1.1 =
* Introduced coupon export import.
* Support for Subscription Orders export import in premium.
= 1.1.0 =
* Security related improvements and bug fixes.
= 1.0.9 =
* Security related improvements.
= 1.0.8 =
* Order line items linking improvements.
= 1.0.7 =
* Updated customer linking with order details.
= 1.0.6 =
* CSV Parsing improvements.
= 1.0.5 =
* Minor modification.
= 1.0.4 =
* Shipping related fields updated in import.
= 1.0.3 =
* German Translation file added.
= 1.0.2 =
* Export order limit updated to unlimited.
= 1.0.1 =
* Minor modification.
= 1.0.0 =
* Export /Import WooCommerce Orders.